Subject: bug#50207: 28.0.50; ansi-color-compilation-filter and rgrep

From: Augusto Stoffel <[email-masked]>
Date: Fri, 09 Dec 2022 12:57:44 +0100

On Fri,  9 Dec 2022 at 09:20, Juri Linkov wrote:

>> To complement this a bit, my hunch is that the problem is due to
>> `compilation-filter-start' being a number and not a marker (bug?).  When
>> `grep-filter' deletes some characters between `compilation-filter-start'
>> and the beginning of its line, it causes `ansi-color-compilation-filter'
>> to skip treating a portion of the buffer.
>
> Have you tried to replace a number with a marker?  Does it help to fix
> this bug?

I got the chance to try this now and unfortunately making
compilation-filter-start into a marker doesn't help with this particular
bug.